Bug 152650 - [CMake][GTK][OSX] webkit-gtk 2.11.2 fails to build WebKit2-4.0.gir, dyld fails to locate built libraries prior to installation
Summary: [CMake][GTK][OSX] webkit-gtk 2.11.2 fails to build WebKit2-4.0.gir, dyld fail...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Local Build
Hardware: Macintosh OS X 10.11
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 126492
  Show dependency treegraph
 
Reported: 2016-01-01 22:44 PST by Jeremy Huddleston Sequoia
Modified: 2016-03-12 02:23 PST (History)
2 users (show)

See Also:


Attachments
Patch to fix gobject-introspection on OSX (4.76 KB, patch)
2016-03-12 01:17 PST, Jeremy Huddleston Sequoia
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Huddleston Sequoia 2016-01-01 22:44:44 PST
I'm trying to build webkit-gtk 2.11.2 on OS X (the last version we had working was 2.4.9, before the move to cmake).  We are configuring as follows:

cmake -DCMAKE_INSTALL_PREFIX=/opt/local -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_COLOR_MAKEFILE=ON -DCMAKE_BUILD_TYPE=Release -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON -DCMAKE_INSTALL_RPATH=/opt/local/lib -DCMAKE_INSTALL_NAME_DIR=/opt/local/lib -DCMAKE_SYSTEM_PREFIX_PATH="/opt/local;/usr" -DCMAKE_MODULE_PATH=/opt/local/share/cmake/Modules -DCMAKE_FIND_FRAMEWORK=LAST -Wno-dev -DPORT=GTK -DENABLE_X11_TARGET=ON -DENABLE_QUARTZ_TARGET=OFF -DLLVM_CONFIG_EXE=/opt/local/bin/llvm-config-mp-3.7 -DENABLE_VIDEO=ON -DCMAKE_C_FLAGS_RELEASE="-DNDEBUG" -DCMAKE_CXX_FLAGS_RELEASE="-DNDEBUG" -DCMAKE_OSX_ARCHITECTURES="x86_64" -DCMAKE_OSX_DEPLOYMENT_TARGET="10.11" -DCMAKE_OSX_SYSROOT="/"

After working around bug #152640, bug #152641, and https://bugzilla.gnome.org/show_bug.cgi?id=625195, the build fails at:

[ 96%] Generating ../../WebKit2-4.0.gir
cd /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2 && CC=/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang CFLAGS=-Wno-deprecated-declarations LDFLAGS= LD_LIBRARY_PATH="/opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/lib:" /opt/local/bin/g-ir-scanner --quiet --warn-all --symbol-prefix=webkit --identifier-prefix=WebKit --namespace=WebKit2 --nsversion=4.0 --include=GObject-2.0 --include=Gtk-3.0 --include=Soup-2.4 --include-uninstalled=/opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/JavaScriptCore-4.0.gir --library=webkit2gtk-4.0 --library=javascriptcoregtk-4.0 -L/opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/lib -L/opt/local/lib --no-libtool --pkg=gobject-2.0 --pkg=gtk+-3.0 --pkg=libsoup-2.4 --pkg-export=webkit2gtk-4.0 --output=/opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/WebKit2-4.0.gir --c-include="webkit2/webkit2.h" -DBUILDING_WEBKIT -DWEBKIT2_COMPILATION -I/opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source -I/opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2 -I/opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/JavaScriptCore/ForwardingHeaders -I/opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/DerivedSources -I/opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/DerivedSources/webkit2gtk -I/opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/DerivedSources/ForwardingHeaders/webkit2gtk /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/DerivedSources/webkit2gtk/webkit2/WebKitEnumTypes.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/DerivedSources/webkit2gtk/webkit2/WebKitVersion.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitAuthenticationRequest.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitAutocleanups.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitBackForwardList.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitBackForwardListItem.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitColorChooserRequest.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitCredential.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitContextMenu.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitContextMenuActions.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitContextMenuItem.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitCookieManager.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitDefines.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitDownload.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitEditingCommands.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitEditorState.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitError.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitFaviconDatabase.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitFileChooserRequest.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitFindController.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitFormSubmissionRequest.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitForwardDeclarations.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitGeolocationPermissionRequest.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitHitTestResult.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitInstallMissingMediaPluginsPermissionRequest.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitJavascriptResult.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitMimeInfo.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitNavigationAction.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitNavigationPolicyDecision.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitNotificationPermissionRequest.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitNotification.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitPermissionRequest.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitPlugin.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitPolicyDecision.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitPrintOperation.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitResponsePolicyDecision.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitScriptDialog.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitSecurityManager.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitSettings.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitURIRequest.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitURIResponse.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitURISchemeRequest.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitUserContent.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitUserContentManager.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitUserMediaPermissionRequest.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitWebContext.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitWebInspector.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitWebResource.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitWebView.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitWebViewBase.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitWebsiteDataManager.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/WebKitWindowProperties.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/webkit2.h /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/UIProcess/API/gtk/*.cpp
dyld: Library not loaded: /opt/local/lib/libwebkit2gtk-4.0.37.dylib
  Referenced from: /opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/tmp-introspectx4dcfN/WebKit2-4.0
  Reason: image not found
Command '['/opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/tmp-introspectx4dcfN/WebKit2-4.0', '--introspect-dump=/opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/tmp-introspectx4dcfN/functions.txt,/opt/local/var/macports/build/_Volumes_Home_jeremy_src_macports_trunk_dports_www_webkit-gtk-devel/webkit-gtk-devel/work/webkitgtk-2.11.2/Source/WebKit2/tmp-introspectx4dcfN/dump.xml']' returned non-zero exit status -5
make[2]: *** [WebKit2-4.0.gir] Error 1

Not sure if this is a bug in g-ir-scanner or in the build system, so starting with webkit.

It looks like you probably want to have DYLD_LIBRARY_PATH set in addition to your LD_LIBRARY_PATH since you're actually executing that intermediate file.  That's what makes me suspect that this may also need some change in g-ir-scanner.
Comment 1 Jeremy Huddleston Sequoia 2016-03-08 15:23:07 PST
Bug #150798 was addressed by just disabling gtk-doc and gobject-intorspection on OSX.  That's not really a fix.  This should be fixed properly.
Comment 2 Jeremy Huddleston Sequoia 2016-03-12 01:17:36 PST
Created attachment 273823 [details]
Patch to fix gobject-introspection on OSX
Comment 3 WebKit Commit Bot 2016-03-12 02:23:28 PST
Comment on attachment 273823 [details]
Patch to fix gobject-introspection on OSX

Clearing flags on attachment: 273823

Committed r198058: <http://trac.webkit.org/changeset/198058>
Comment 4 WebKit Commit Bot 2016-03-12 02:23:32 PST
All reviewed patches have been landed.  Closing bug.